<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2003 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Author: David Grant <david@davidjonathangrant.info>                  |
// +----------------------------------------------------------------------+

/**
* @author David Grant <david@davidjonathangrant.info>
*/
require_once("File/Ogg/PEAR.php");

/**
* Description
*
* Long Description
*
* @package  File_Ogg
*/
class File_Ogg
{
    /**
    * This function returns a native interface to an Ogg physical stream.
    *
    * The PECL implementation of this package is expected to offer speed improvements
    * over the native PHP implementation of this package.  In order to facilitate the
    * use of the PECL package, this constructor tests if the relevant PECL extension
    * has been loaded and returns an instance of the relevant class.
    *
    * @access   public
    * @param    string  $fileLocation   The path of the file to be examined.
    * @return   object  File_Ogg_Pear
    */
    function openFile($fileLocation)
    {
        return (new File_Ogg_PEAR($fileLocation));
    }
}
?>
